# MySQL dump 8.12
#
# Host: localhost    Database: jobtracker
#--------------------------------------------------------
# Server version	3.23.32

#
# Table structure for table 'Access'
#

CREATE TABLE Access (
  UserID int(10) NOT NULL default '0',
  CompanyID int(10) NOT NULL default '0',
  IP varchar(50) default NULL,
  What varchar(50) default NULL,
  Referer varchar(100) default NULL,
  HttpUserAgent varchar(100) default NULL,
  Date date NOT NULL default '0000-00-00',
  Time time default NULL
) TYPE=MyISAM;


#
# Table structure for table 'Companies'
#

CREATE TABLE Companies (
  CompanyID int(10) unsigned NOT NULL default '0',
  Naam char(30) NOT NULL default '',
  Adres char(30) NOT NULL default '',
  pcplaats char(30) NOT NULL default '',
  land char(30) default NULL,
  telno char(30) default NULL,
  DefaultDaysToPay int(10) default NULL,
  DefaultBTWHigh float(3,1) NOT NULL default '0.0',
  DefaultBTWLow float(3,1) NOT NULL default '0.0',
  DefaultBTWNull float(3,1) NOT NULL default '0.0',
  ExpDate date default NULL,
  LastUseDate date default NULL,
  PRIMARY KEY (CompanyID),
  UNIQUE KEY CompanyID(CompanyID)
) TYPE=MyISAM;

#
# Dumping data for table 'Companies'
#

INSERT INTO Companies VALUES (0,'ROOT','','','','',0,19.0,6.0,0.0,'2099-12-31',NULL);

#
# Table structure for table 'FixedJobs'
#

CREATE TABLE FixedJobs (
  JobID int(10) NOT NULL default '0',
  CustomerID int(10) NOT NULL default '0',
  CompanyID int(10) NOT NULL default '0',
  UserID int(10) NOT NULL default '0',
  Omschrijving char(30) default NULL,
  Datum date NOT NULL default '0000-00-00',
  Prijs float(6,2) NOT NULL default '0.00',
  Aantal float(6,2) NOT NULL default '0.00',
  BTW float(3,1) NOT NULL default '0.0',
  Billed enum('No','Yes') NOT NULL default 'No',
  BilledonInv int(10) default NULL,
  PRIMARY KEY (JobID,CompanyID)
) TYPE=MyISAM;

#
# Table structure for table 'Invoices'
#

CREATE TABLE Invoices (
  InvoiceID int(10) NOT NULL default '0',
  CompanyID int(10) NOT NULL default '0',
  CustomerID int(10) NOT NULL default '0',
  Bedragexc float(6,2) NOT NULL default '0.00',
  Bedraginc float(6,2) NOT NULL default '0.00',
  BTWBedrag float(6,2) NOT NULL default '0.00',
  DateBilled date NOT NULL default '0000-00-00',
  opmerking char(100) default NULL,
  Betaald enum('No','Yes','Invisible') NOT NULL default 'No',
  Daystopay int(10) NOT NULL default '0',
  PRIMARY KEY (InvoiceID,CompanyID)
) TYPE=MyISAM;

#
# Table structure for table 'Jobs'
#

CREATE TABLE Jobs (
  JobID int(10) NOT NULL default '0',
  CustomerID int(10) NOT NULL default '0',
  CompanyID int(10) NOT NULL default '0',
  UserID int(10) NOT NULL default '0',
  Omschrijving char(30) default NULL,
  Datum date NOT NULL default '0000-00-00',
  Starttijd time NOT NULL default '00:00:00',
  Stoptijd time NOT NULL default '00:00:00',
  Pauze time NOT NULL default '00:00:00',
  Tarief float(6,2) NOT NULL default '0.00',
  BTW float(3,1) NOT NULL default '0.0',
  Billed enum('No','Yes') NOT NULL default 'No',
  BilledonInv int(10) default NULL,
  PRIMARY KEY (JobID,CompanyID)
) TYPE=MyISAM;

#
# Table structure for table 'Klanten'
#

CREATE TABLE Klanten (
  CustomerID int(10) NOT NULL default '0',
  CompanyID int(10) NOT NULL default '0',
  Naam varchar(30) NOT NULL default '',
  Adres varchar(30) NOT NULL default '',
  pcplaats varchar(30) NOT NULL default '',
  land varchar(30) default NULL,
  telno varchar(30) default NULL,
  Email varchar(30) default NULL,
  Daystopay int(2) default NULL,
  Loginname varchar(30) default NULL,
  Password varchar(30) default NULL,
  PRIMARY KEY (CustomerID,CompanyID)
) TYPE=MyISAM;

#
# Table structure for table 'Things'
#

CREATE TABLE Things (
  ThingID int(10) NOT NULL default '0',
  CompanyID int(10) NOT NULL default '0',
  CustomerID int(10) NOT NULL default '0',
  UserID int(10) NOT NULL default '0',
  Omschrijving char(30) default NULL,
  Datum date NOT NULL default '0000-00-00',
  Prijs float(6,2) NOT NULL default '0.00',
  Aantal float(6,2) NOT NULL default '0.00',
  BTW float(3,1) NOT NULL default '0.0',
  Billed enum('No','Yes') NOT NULL default 'No',
  BilledonInv int(10) default NULL,
  PRIMARY KEY (ThingID,CompanyID)
) TYPE=MyISAM;


#
# Table structure for table 'Users'
#

CREATE TABLE Users (
  UserID int(10) NOT NULL default '0',
  CompanyID int(10) NOT NULL default '0',
  Username varchar(50) NOT NULL default '',
  Password varchar(50) default NULL,
  RealName varchar(100) NOT NULL default '',
  Language varchar(50) NOT NULL default '',
  Email varchar(100) NOT NULL default '',
  Admin enum('Yes','No','UberAdmin') NOT NULL default 'Yes',
  DefaultStartTime time default NULL,
  DefaultStopTime time default NULL,
  DefaultBreakTime time default NULL,
  DefaultJobRate float(6,2) default NULL,
  PRIMARY KEY (UserID,CompanyID),
  UNIQUE KEY Username(Username)
) TYPE=MyISAM;

#
# Dumping data for table 'Users'
#

INSERT INTO Users VALUES (1,0,'your not so favorite loginname','your not so favorite password','your name','english.php','your email adres','UberAdmin','00:00:00','00:00:00','00:00:00',0.00);

